JFLAGS = -g -encoding ISO8859_1
JARFLAGS = cmf
JC = javac
JVM= java
JVD= javadoc
JAR= jar
FILE=
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = \
        ImageConverter.java \
        FileChooserDemo2.java \
        ImageFileView.java \
        ImageFilter.java \
        ImagePreview.java \
        Conversor.java \
	Picture.java \
        Utils.java

MAIN = ImageConverter

DOCS = \
       ImageConverter.java \

default: classes

classes: $(CLASSES:.java=.class)

run: $(MAIN).class 
	$(JVM) $(MAIN) $(FILE)

doc: 
	$(JVD) -encoding ISO8859_1 $(CLASSES)

jar: 
	$(JC) $(JFLAGS) *.java
	$(JAR) $(JARFLAGS) manifiest $(MAIN).jar *.class images
	$(RM) *.class

clean:
	$(RM) *.class
